Bug 177242 - x11-wm/wmconfig port update to version 1.3.8
x11-wm/wmconfig port update to version 1.3.8
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Lars Engels
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-22 18:30 UTC by net
Modified: 2013-05-10 21:45 UTC (History)
0 users

See Also:


Attachments
file.diff (1.65 KB, patch)
2013-03-22 18:30 UTC, net
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description net 2013-03-22 18:30:00 UTC
Update to version 1.3.8 for port x11-wm/wmconfig

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2013-03-23 09:46:00 UTC
State Changed
From-To: open->feedback

please convert to the new optionsNG
Comment 2 net 2013-03-27 09:43:45 UTC
Hello,

new diff file attached.

Kind regards,

Tommy Scheunemann
Comment 3 net 2013-04-15 08:30:31 UTC
Hello,

sorry for the late reply. It's uploaded at:

http://www.arrishq.net/files/patch

Kind regards,

Tommy

On Wed, 27 Mar 2013, Mark Linimon wrote:

> On Wed, Mar 27, 2013 at 01:50:01PM +0000, Tommy Scheunemann wrote:
>>  Hello,
>>
>>  new diff file attached.
>>
>>  Kind regards,
>>
>>  Tommy Scheunemann
>
> it didn't make it.
>
> mcl
Comment 4 Lars Engels freebsd_committer 2013-05-10 20:14:52 UTC
Responsible Changed
From-To: freebsd-ports-bugs->lme

I'll take it.
Comment 5 dfilter freebsd_committer 2013-05-10 21:11:28 UTC
Author: lme
Date: Fri May 10 20:11:20 2013
New Revision: 317838
URL: http://svnweb.freebsd.org/changeset/ports/317838

Log:
  - Update to 1.3.8 [1]
  - Convert to OptionsNG [1]
  - Fix build with clang
  
  PR:		ports/177242 [1]
  Submitted by:	maintainer

Added:
  head/x11-wm/wmconfig/files/
  head/x11-wm/wmconfig/files/patch-package.c   (contents, props changed)
Modified:
  head/x11-wm/wmconfig/Makefile   (contents, props changed)
  head/x11-wm/wmconfig/distinfo   (contents, props changed)
  head/x11-wm/wmconfig/pkg-plist   (contents, props changed)

Modified: head/x11-wm/wmconfig/Makefile
==============================================================================
--- head/x11-wm/wmconfig/Makefile	Fri May 10 19:39:58 2013	(r317837)
+++ head/x11-wm/wmconfig/Makefile	Fri May 10 20:11:20 2013	(r317838)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	wmconfig
-PORTVERSION=	1.3.7
+PORTVERSION=	1.3.8
 CATEGORIES=	x11-wm
 MASTER_SITES=	http://www.arrishq.net/files/
 
@@ -18,8 +18,24 @@ MAN1=		wmconfig.1x
 
 PORTDOCS=	AUTHORS ChangeLog COPYING README TODO
 
+OPTIONS_DEFINE=	NLS DOCS
+OPTIONS_DEFAULT=	NLS DOCS
+
+.include <bsd.port.options.mk>
+
+.if ${PORT_OPTIONS:MNLS}
+USE_GETTEXT=	yes
+CONFIGURE_ARGS+=--enable-nls
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
+PLIST_SUB+=	NLS=""
+.else
+CONFIGURE_ARGS+=--disable-nls
+PLIST_SUB=	NLS="@comment "
+.endif
+
 post-install:
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	@${MKDIR} ${DOCSDIR}
 .for i in ${PORTDOCS}
 	${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}

Modified: head/x11-wm/wmconfig/distinfo
==============================================================================
--- head/x11-wm/wmconfig/distinfo	Fri May 10 19:39:58 2013	(r317837)
+++ head/x11-wm/wmconfig/distinfo	Fri May 10 20:11:20 2013	(r317838)
@@ -1,2 +1,2 @@
-SHA256 (wmconfig-1.3.7.tar.bz2) = 2c9adc8ea1d63436fed85a311bbb9f4c0072fb081e08b0604ed3e2de076b86cb
-SIZE (wmconfig-1.3.7.tar.bz2) = 136598
+SHA256 (wmconfig-1.3.8.tar.bz2) = 7b284ccbf664416ceef9d34095fe97794730eab6345922cc9e6a62f5c3551e5f
+SIZE (wmconfig-1.3.8.tar.bz2) = 222738

Added: head/x11-wm/wmconfig/files/patch-package.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/x11-wm/wmconfig/files/patch-package.c	Fri May 10 20:11:20 2013	(r317838)
@@ -0,0 +1,26 @@
+--- ./package.c.orig	2013-05-10 21:55:40.000000000 +0200
++++ ./package.c	2013-05-10 21:56:27.000000000 +0200
+@@ -228,17 +228,18 @@
+     return;
+ }
+ 
++static char *w_getenv(const char *envname) {
++	char *envvalue;
++	if (! (envvalue = getenv (envname) )) return 0;
++	return strdup(envvalue);
++}
++
+ /*
+  * Mark packages, which are deemed not to exist, to be skipped.
+  */
+ 
+ static int package_exists(struct package *pkg)
+ {
+-	char *w_getenv(const char *envname) {
+-		char *envvalue;
+-		if (! (envvalue = getenv (envname) )) return 0;
+-		return strdup(envvalue);
+-	}
+         char *buf, *cmd, *p, *b, *c;
+         char *PATH = w_getenv("PATH");
+         int len;

Modified: head/x11-wm/wmconfig/pkg-plist
==============================================================================
--- head/x11-wm/wmconfig/pkg-plist	Fri May 10 19:39:58 2013	(r317837)
+++ head/x11-wm/wmconfig/pkg-plist	Fri May 10 20:11:20 2013	(r317838)
@@ -17,3 +17,6 @@ etc/wmconfig/Shells
 etc/wmconfig/System
 etc/wmconfig/Utilities
 @dirrm etc/wmconfig
+%%NLS%%share/locale/de/LC_MESSAGES/wmconfig.mo
+%%NLS%%share/locale/fr/LC_MESSAGES/wmconfig.mo
+%%NLS%%share/locale/ru/LC_MESSAGES/wmconfig.mo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Lars Engels freebsd_committer 2013-05-10 21:45:18 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!